cascading.util

## Class Trie<V extends java.io.Serializable>

- java.lang.Object
- - cascading.util.Trie<V>

- All Implemented Interfaces:
    java.io.Serializable

      public class Trie<V extends java.io.Serializable>
      extends java.lang.Object
      implements java.io.Serializable

  This class is based on the work found here by Vladimir Kroz, made available without restriction.

  https://vkroz.wordpress.com/2012/03/23/prefix-table-trie-implementation-in-java/

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Trie.Entry<V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Trie()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `V` | `get(java.lang.String key)`
    `java.lang.String` | `getCommonPrefix()`
    `boolean` | `hasPrefix(java.lang.String key)`
    `void` | `put(java.lang.String key, V value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Trie

          public Trie()

  - ### Method Detail

    - #### put

          public void put(java.lang.String key,
                 V value)

    - #### get

          public V get(java.lang.String key)

    - #### hasPrefix

          public boolean hasPrefix(java.lang.String key)

    - #### getCommonPrefix

          public java.lang.String getCommonPrefix()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.